%define major 1
%define libname %mklibname g15_ %{major}
%define libname_devel %mklibname g15 -d
%define libname_static_devel %mklibname g15 -d -s

Name:           libg15
Version:        1.2.7
Release:        %mkrel 13
Summary:        Library to control logitech G15 keyboards
License:        GPLv2+
Group:          System/Libraries
URL:            http://g15tools.sourceforge.net/
Source:         https://downloads.sourceforge.net/g15tools/libg15-%{version}.tar.bz2
BuildRequires:  pkgconfig(libusb)

%description
Controls the G15 keyboard, providing applications access
to the keyboard's LCD display, and the additional keys available
on this keyboard.

%package -n %{libname}
Summary:        Controls the G15 keyboard and LCD
Group:          System/Libraries
Provides:       g15 = %{version}-%{release}

%description -n %{libname}
Controls the G15 keyboard, providing applications access
to the keyboard's LCD display, and the additional keys available
on this keyboard.

%package -n %{libname_devel}
Summary:        Controls the G15 keyboard and LCD
Group:          Development/C
Provides:       g15-devel = %{version}-%{release}
Requires:       g15 = %{version}-%{release}

%description -n %{libname_devel}
Controls the G15 keyboard, providing applications access
to the keyboard's LCD display, and the additional keys available
on this keyboard.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_libdir}/libg15.so.%{major}
%{_libdir}/libg15.so.%{major}.*

%files -n %{libname_devel}
%{_includedir}/*
%{_libdir}/libg15.so


%changelog
* Fri Mar 25 2022 umeabot <umeabot> 1.2.7-13.mga9
+ Revision: 1826379
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.2.7-12.mga8
+ Revision: 1514096
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.2.7-11.mga7
+ Revision: 1298852
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 1.2.7-10.mga7
+ Revision: 1235634
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 1.2.7-9.mga6
+ Revision: 945437
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.7-8.mga5
+ Revision: 749859
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.7-7.mga5
+ Revision: 681468
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 1.2.7-6.mga5
+ Revision: 643702
- Replace libusb*-devel BuildRequires by better ones

* Fri Oct 18 2013 umeabot <umeabot> 1.2.7-5.mga4
+ Revision: 506961
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.7-4.mga3
+ Revision: 357137
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 26 2012 fwang <fwang> 1.2.7-3.mga2
+ Revision: 201733
- drop static package

* Mon Mar 28 2011 ennael <ennael> 1.2.7-2.mga1
+ Revision: 78310
- clean spec file
- imported package libg15


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.7-2mdv2011.0
+ Revision: 609747
- rebuild

* Wed Dec 30 2009 Jérôme Brenier <incubusss@mandriva.org> 1.2.7-1mdv2010.1
+ Revision: 484225
- new version 1.2.7
- fix license tag

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 1.2.6-9mdv2010.0
+ Revision: 439068
- rebuild for new libusb

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 1.2.6-7mdv2009.0
+ Revision: 248647
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Feb 08 2008 David Walluck <walluck@mandriva.org> 1.2.6-5mdv2008.1
+ Revision: 163890
- fix Requires
- Provides: g15 = %%{version}-%%{release}

* Thu Feb 07 2008 David Walluck <walluck@mandriva.org> 1.2.6-3mdv2008.1
+ Revision: 163354
- add more documentation
- fix wrong g15-devel provide
- place .la file in devel package

* Thu Feb 07 2008 David Walluck <walluck@mandriva.org> 1.2.6-1mdv2008.1
+ Revision: 163350
- import libg15


